const std = @import("std");
const testing = std.testing;

pub const Entity = struct {
    ID: u32,

    pub fn init(id: u32) Entity {
        return .{ .ID = id };
    }
};

test "entity init" {
    const e1 = Entity.init(12);
    const e2 = Entity.init(21);

    testing.expect(e1.ID == 12);
    testing.expect(e2.ID == 21);
}
